.header-top {
  position: unset;
}

.header-top__menu-item {
  position: relative;
}

.header-top__menu-item.menu-item-has-children>a::after {
  content: '';
  width: 9px;
  height: 7px;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='8' height='6' viewBox='0 0 8 6' fill='none'%3E%3Cpath d='M0.5 4.7593L3.99958 0.759296L7.5 4.7593' stroke='white' stroke-linecap='round'/%3E%3C/svg%3E");
  display: flex;
  align-items: center;
  display: block;
  margin-left: 5px;
  background-repeat: no-repeat;
  transform: rotate(180deg);
  transition: transform 0.2s ease;
}

.header-top__menu-item.menu-item-has-children:hover> a {
  color: #fff;
  opacity: 0.5;
}

.header-top__menu-item.menu-item-has-children:hover a::after {
  transform: rotate(0);
  margin-top: 3px;
}

.header-top__menu-item .sub-menu {
  visibility: hidden;
  opacity: 0;
  position: absolute;
  z-index: 1000;
  top: 35px;
  display: flex;
  flex-direction: column;
  background-color: #F2F7F7;
  padding: 20px;
  height: auto;
  left: 20px;
  width: 200px;
  align-items: flex-start;
  align-content: flex-start;
  transition: all 0.2s ease-in-out;
}

.header-top__menu-item:hover .sub-menu {
  visibility: visible;
  opacity: 1;
}

.header-top__menu-item .sub-menu .header-top__menu-item {
  height: auto;
  width: 100%;
}

.header-top__menu-item .sub-menu .menu-item a {
  font-size: 15px;
  line-height: 118%;
  color: #191A1A;
  height: auto;
  padding: 5px 0;
}

.header-top__menu-item .sub-menu .menu-item:not(:last-child) {
  margin-bottom: 10px;
}

.header-top__menu-item .sub-menu .menu-item.current_page_item a {
  color: #39B28B;
}

.header-top__menu-item .sub-menu .menu-item:hover a {
  color: #B3B3B3;
}

@media (hover: none) {
  .menu-item-has-children .sub-menu {
    visibility: hidden;
    opacity: 0;
    transition: unset;
  }

  .menu-item-has-children .sub-menu.is-visible {
    visibility: visible;
    opacity: 1;
    height: auto;
  }
}

@media screen and (max-width: 1919px) {
  .header-top__menu-item.menu-item-has-children>a::after {
    margin-top: 3px;
  }
}

@media screen and (max-width: 1024px) {

  .header-top__menu-item:hover .sub-menu {
    visibility: hidden;
    opacity: 0;
  }

  .header-top__menu-item.menu-item-has-children:hover a::after {
    transform: rotate(180deg);
  }

  .header-top {
    position: relative;
  }

  .header-top__menu-item.menu-item-has-children>a::after {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='8' height='6' viewBox='0 0 8 6' fill='none'%3E%3Cpath d='M0.5 4.7593L3.99958 0.759296L7.5 4.7593' stroke='%23000' stroke-linecap='round'/%3E%3C/svg%3E");
  }
  .header-top__menu-item .sub-menu {
    position: static;
    background-color: unset;
    padding: 0 20px;
    height: 0;
    transition: unset;
  }

  .header-top__menu-item.menu-item-has-children:has(.is-visible)>a::after {
    transform: rotate(0);
  }

  .header-top__menu-item.menu-item-has-children:has(.is-visible) .sub-menu {
    visibility: visible;
    opacity: 1;
    height: auto;
  }

  .header-top__menu-item {
    height: auto;
  }
  .header-top__menu-item .sub-menu .menu-item a {
    font-size: 16px; 
   } 

  .header-top__menu-item.menu-item-has-children:hover> a {
  color: #000;
  opacity: unset;
  }
}